Page MenuHome

Compositor constanttly crashes on particular input frames
Closed, ResolvedPublic

Description

System Information
Operating system: Windows7 64bit
Graphics card: GT 440, GT 730.

Blender Version
Broken: 2.76b, 2.79b, 2.80

Short description of error
While rendering an animation I've got two frames that crash the compositor. It gives pitch black image as the output. If I use backdrop, it first shows resulting image, and then makes it black. Sometimes it starts to fill the screen with B/W garbage. In blender v 2.76b it sometimes crashes and kills the entire process.
I've tested it on versions 2.76b, 2.79b, 2.80 beta. All of them glitch on theese frames, so it seems to be a pretty old bug.
I tried it on two different machines, both Windows 7 ultimate 64 bit. The same results.
I've tried to disable nodes one by one to find the glitchy one, but with no luck.
There are two bad frames (class-eevee1-0089-bad.exr, class-eevee1-0647-bad.exr), and a good one (nearest in the timeline) (class-eevee1-0088-good.exr) in attach. Frames were rendered in 2.80 with eevee.

Exact steps for others to reproduce the error
To reproduce the bug just open the "strange-composite.blend" file, and try to open in the input image node one of the bad frames (render layer).

strange-composite.blend
bad frames: ,
good frame

Those two machines system-info:

,

Is there a way to avoid the glitch?

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

The bad files you have attached are pitch black, so I'm unsure what there is to reproduce here.

Sebastian, no, they aren't. They are EXR multi-layer files, and they have source image in 'Render layer', and a pitch-black result in 'Composite' layer. In the image node there is a switch, where you can choose the 'Render layer' to see the image. By default, when you open a new file in the node it selects 'Composite' layer, which is wrong, so just select 'Render layer' in the combobox below.
Thank you for your attention.

Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Needs Triage by Developer.May 21 2019, 5:15 PM
Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.EditedJun 11 2019, 2:33 PM

The issue is that the pictures that doesn't render contains pixels that have a glitched pixels (pixels that have a very high value).

That was an issue with eevee that I think should have been fixed. Can you still reproduce this from scratch with the same scene rendered with eevee? (Using the latest blender beta of course)

Yes, it seems to be fixed now. I tried the frames in this build:

version: 2.80 (sub 74), branch: blender2.7, commit date: 2019-06-11 23:43, hash: 6529d20d79a5, type: Release
build date: 11/06/2019, 17:18

and it survived! Thank you!
Btw, I see that the new version renders frames much darker, than before. Anyway, I think it's a little to do with this very thread.
In attach there are two frames

to show the difference.

Thank you again.

<offtop> render test: https://youtu.be/okZKrWXTdl8 </offtop>

Sebastian Parborg (zeddb) claimed this task.

Glad that it is now working for you.